Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Interface BridgeUpdateHandler

All Known Subinterfaces:
  SVG12BridgeUpdateHandler

All Known Implementing Classes:
  AbstractGraphicsNodeBridge, AbstractSVGFilterPrimitiveElementBridge, AbstractSVGGradientElementBridge, AbstractSVGGradientElementBridge.SVGStopElementBridge, AbstractSVGLightingElementBridge, AbstractSVGLightingElementBridge.AbstractSVGLightElementBridge, AbstractSVGLightingElementBridge.SVGFeDistantLightElementBridge, AbstractSVGLightingElementBridge.SVGFePointLightElementBridge, AbstractSVGLightingElementBridge.SVGFeSpotLightElementBridge, AnimatableGenericSVGBridge, BatikFlowTextElementBridge, BatikFlowTextElementBridge.BatikFlowContentBridge, BatikHistogramNormalizationElementBridge, BatikRegularPolygonElementBridge, BatikStarElementBridge, BindableElementBridge, SVG12TextElementBridge, SVGAElementBridge, SVGAnimateColorElementBridge, SVGAnimateElementBridge, SVGAnimateMotionElementBridge, SVGAnimateTransformElementBridge, SVGAnimationElementBridge, SVGCircleElementBridge, SVGClipPathElementBridge, SVGDecoratedShapeElementBridge, SVGDescElementBridge, SVGDescriptiveElementBridge, SVGDocumentBridge, SVGEllipseElementBridge, SVGFeBlendElementBridge, SVGFeColorMatrixElementBridge, SVGFeComponentTransferElementBridge, SVGFeComponentTransferElementBridge.SVGFeFuncAElementBridge, SVGFeComponentTransferElementBridge.SVGFeFuncBElementBridge, SVGFeComponentTransferElementBridge.SVGFeFuncElementBridge, SVGFeComponentTransferElementBridge.SVGFeFuncGElementBridge, SVGFeComponentTransferElementBridge.SVGFeFuncRElementBridge, SVGFeCompositeElementBridge, SVGFeConvolveMatrixElementBridge, SVGFeDiffuseLightingElementBridge, SVGFeDisplacementMapElementBridge, SVGFeFloodElementBridge, SVGFeGaussianBlurElementBridge, SVGFeImageElementBridge, SVGFeMergeElementBridge, SVGFeMergeElementBridge.SVGFeMergeNodeElementBridge, SVGFeMorphologyElementBridge, SVGFeOffsetElementBridge, SVGFeSpecularLightingElementBridge, SVGFeTileElementBridge, SVGFeTurbulenceElementBridge, SVGFilterElementBridge, SVGFlowRootElementBridge, SVGFlowRootElementBridge.FlowContentBridge, SVGGElementBridge, SVGImageElementBridge, SVGLinearGradientElementBridge, SVGLineElementBridge, SVGMarkerElementBridge, SVGMaskElementBridge, SVGMultiImageElementBridge, SVGPathElementBridge, SVGPatternElementBridge, SVGPolygonElementBridge, SVGPolylineElementBridge, SVGRadialGradientElementBridge, SVGRectElementBridge, SVGSetElementBridge, SVGShapeElementBridge, SVGSolidColorElementBridge, SVGSVGElementBridge, SVGSwitchElementBridge, SVGTextElementBridge, SVGTextElementBridge.AbstractTextChildBridgeUpdateHandler, SVGTextElementBridge.AbstractTextChildTextContent, SVGTextElementBridge.TextPathBridge, SVGTextElementBridge.TRefBridge, SVGTextElementBridge.TspanBridge, SVGTextPathElementBridge, SVGTitleElementBridge, SVGUseElementBridge, XBLContentElementBridge, XBLShadowTreeElementBridge

    public interface BridgeUpdateHandler

Interface for objects interested in being notified of updates.

Method Summary
`void` | `dispose()` Disposes this BridgeUpdateHandler and releases all resources.
`void` | `handleAnimatedAttributeChanged(AnimatedLiveAttributeValue alav)` Invoked when the animated value of an animated attribute has changed.
`void` | `handleCSSEngineEvent(CSSEngineEvent evt)` Invoked when an CSSEngineEvent is fired.
`void` | `handleDOMAttrModifiedEvent(MutationEvent evt)` Invoked when an MutationEvent of type 'DOMAttrModified' is fired.
`void` | `handleDOMCharacterDataModified(MutationEvent evt)` Invoked when an MutationEvent of type 'DOMCharacterDataModified' is fired.
`void` | `handleDOMNodeInsertedEvent(MutationEvent evt)` Invoked when an MutationEvent of type 'DOMNodeInserted' is fired.
`void` | `handleDOMNodeRemovedEvent(MutationEvent evt)` Invoked when an MutationEvent of type 'DOMNodeRemoved' is fired.
`void` | `handleOtherAnimationChanged(String type)` Invoked when an 'other' animation value has changed.

Method Detail

### handleDOMAttrModifiedEvent

    void handleDOMAttrModifiedEvent(MutationEvent evt)

  Invoked when an MutationEvent of type 'DOMAttrModified' is fired.

### handleDOMNodeInsertedEvent

    void handleDOMNodeInsertedEvent(MutationEvent evt)

  Invoked when an MutationEvent of type 'DOMNodeInserted' is fired.

### handleDOMNodeRemovedEvent

    void handleDOMNodeRemovedEvent(MutationEvent evt)

  Invoked when an MutationEvent of type 'DOMNodeRemoved' is fired.

### handleDOMCharacterDataModified

    void handleDOMCharacterDataModified(MutationEvent evt)

  Invoked when an MutationEvent of type 'DOMCharacterDataModified' is fired.

### handleCSSEngineEvent

    void handleCSSEngineEvent(CSSEngineEvent evt)

  Invoked when an CSSEngineEvent is fired.

### handleAnimatedAttributeChanged

    void handleAnimatedAttributeChanged(AnimatedLiveAttributeValue alav)

  Invoked when the animated value of an animated attribute has changed.

### handleOtherAnimationChanged

    void handleOtherAnimationChanged(String type)

  Invoked when an 'other' animation value has changed.

### dispose

    void dispose()

  Disposes this BridgeUpdateHandler and releases all resources.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.